ISATTY(3)

NOM
isatty - Vérifier si un descripteur se rapporte à un terminal

SYNOPSIS
#include <unistd.h>

int isatty(int desc);

DESCRIPTION
renvoie 1 si desc est un descripteur de fichier ouvert connecté à un terminal, ou 0 autrement.

CONFORMITÉ
SVr4, BSD 4.3, POSIX.1-2001.

VOIR AUSSI
fstat(2), ttyname(3)

TRADUCTION

Ce document est une traduction réalisée par Christophe Blaess <http://www.blaess.fr/christophe/> le 4 novembre 1996 et révisée le 17 juillet 2008.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 3 isatty ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.